uuid.hpp File Reference

A 16-byte universally unique identifier. More...

`#include "./internal/export.hpp"`
`#include "./byte_array.hpp"`
`#include <string>`
`#include <iosfwd>`
Include dependency graph for uuid.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | uuid
| A 16-byte universally unique identifier. More...

## Namespaces

| proton
| The main Proton namespace.

## Functions

std::ostream & | operator<< (std::ostream &, const uuid &)
| UUID standard format: 8-4-4-4-12 (36 chars, 32 alphanumeric chars and 4 hyphens).

## Detailed Description

A 16-byte universally unique identifier.